openarena crashes upon starting or joining a game

Bug #1651561 reported by Doug Goldstein on 2016-12-20
202
This bug affects 47 people
Affects Status Importance Assigned to Milestone
Openarena
Incomplete
Unknown
ioquake3 (Ubuntu)
Undecided
Unassigned
openarena (Ubuntu)
Undecided
Unassigned

Bug Description

Loading vm file vm/ui.qvm...
File "vm/ui.qvm" found in "/usr/lib/openarena/baseoa/pak6-patch088.pk3"
...which has vmMagic VM_MAGIC_USE_NATIVE.
... trying pak6-patch088/ui
Loading DLL file /usr/lib/openarena/baseoa/pak6-patch088/uix86_64.so instead.
Loading DLL file: /usr/lib/openarena/baseoa/pak6-patch088/uix86_64.so
Sys_LoadGameDll(/usr/lib/openarena/baseoa/pak6-patch088/uix86_64.so) found vmMain function at 0x7f695169dda0
71 arenas parsed
33 bots parsed
--- Common Initialization Complete ---
IP: 127.0.0.1
IP: 10.20.20.210
IP: 172.17.0.1
IP6: ::1
IP6: fe80::221:ccff:fec9:da8f%xenbr0
IP6: fe80::42:97ff:feea:14bc%docker0
Opening IP6 socket: [::]:27960
Opening IP socket: 0.0.0.0:27960
Scanning for servers on the local network...
10.20.20.200:27960 resolved to 10.20.20.200:27960
----- FS_Startup -----
We are looking in the current search path:
/usr/lib/openarena/baseoa/z_oacmp-volume1-v3.pk3 (370 files)
    on the pure list
/usr/lib/openarena/baseoa/pak6-patch088.pk3 (711 files)
    on the pure list
/usr/lib/openarena/baseoa/pak6-patch085.pk3 (559 files)
    on the pure list
/usr/lib/openarena/baseoa/pak6-misc.pk3 (229 files)
    on the pure list
/usr/lib/openarena/baseoa/pak5-TA.pk3 (139 files)
    on the pure list
/usr/lib/openarena/baseoa/pak4-textures.pk3 (1753 files)
    on the pure list
/usr/lib/openarena/baseoa/pak2-players.pk3 (669 files)
    on the pure list
/usr/lib/openarena/baseoa/pak2-players-mature.pk3 (231 files)
    on the pure list
/usr/lib/openarena/baseoa/pak1-maps.pk3 (100 files)
    on the pure list
/usr/lib/openarena/baseoa/pak0.pk3 (1042 files)
    on the pure list
/home/doug/.openarena/baseoa
/usr/lib/openarena/baseoa

----------------------
5803 files in pk3 files
RE_Shutdown( 0 )
Hunk_Clear: reset the hunk ok
----- R_Init -----
Initializing Shaders

GL_VENDOR: Intel Open Source Technology Center
GL_RENDERER: Mesa DRI Intel(R) Ivybridge Mobile
GL_VERSION: 3.0 Mesa 12.0.3
GL_EXTENSIONS: GL_ARB_multisample GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_copy_texture GL_EXT_polygon_offset GL_EXT_subtexture GL_EXT_texture_object GL_EXT_vertex_array GL_EXT_compiled_vertex_array GL_EXT_texture GL_EXT_texture3D GL_IBM_rasterpos_clip GL_ARB_point_parameters GL_EXT_draw_range_elements GL_EXT_packed_pixels GL_EXT_point_parameters GL_EXT_rescale_normal GL_EXT_separate_specular_color GL_EXT_texture_edge_clamp GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_ARB_framebuffer_sRGB GL_ARB_multitexture GL_EXT_framebuffer_sRGB GL_IBM_multimode_draw_arrays GL_IBM_texture_mirrored_repeat GL_3DFX_texture_compression_FXT1 GL_ARB_texture_cube_map GL_ARB_texture_env_add GL_ARB_transpose_matrix GL_EXT_blend_func_separate GL_EXT_fog_coord GL_EXT_multi_draw_arrays GL_EXT_secondary_color GL_EXT_texture_env_add GL_EXT_texture_filter_anisotropic GL_EXT_texture_lod_bias GL_INGR_blend_func_separate GL_NV_blend_square GL_NV_light_max_exponent GL_NV_texgen_reflection GL_NV_texture_env_combine4 GL_S3_s3tc GL_SUN_multi_draw_arrays GL_ARB_texture_border_clamp GL_ARB_texture_compression GL_EXT_framebuffer_object GL_EXT_texture_compression_s3tc GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_MESA_window_pos GL_NV_packed_depth_stencil GL_NV_texture_rectangle GL_ARB_depth_texture GL_ARB_occlusion_query GL_ARB_shadow GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_mirrored_repeat GL_ARB_window_pos GL_EXT_stencil_two_side GL_EXT_texture_cube_map GL_NV_depth_clamp GL_APPLE_packed_pixels GL_APPLE_vertex_array_object GL_ARB_draw_buffers GL_ARB_fragment_program GL_ARB_fragment_shader GL_ARB_shader_objects GL_ARB_vertex_program GL_ARB_vertex_shader GL_ATI_draw_buffers GL_ATI_texture_env_combine3 GL_ATI_texture_float GL_EXT_shadow_funcs GL_EXT_stencil_wrap GL_MESA_pack_invert GL_NV_primitive_restart GL_ARB_depth_clamp GL_ARB_fragment_program_shadow GL_ARB_half_float_pixel GL_ARB_occlusion_query2 GL_ARB_point_sprite GL_ARB_shading_language_100 GL_ARB_sync GL_ARB_texture_non_power_of_two GL_ARB_vertex_buffer_object GL_ATI_blend_equation_separate GL_EXT_blend_equation_separate GL_OES_read_format GL_ARB_color_buffer_float GL_ARB_pixel_buffer_object GL_ARB_texture_compression_rgtc GL_ARB_texture_float GL_ARB_texture_rectangle GL_EXT_packed_float GL_EXT_pixel_buffer_object GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_rgtc GL_EXT_texture_rectangle GL_EXT_texture_sRGB GL_EXT_texture_shared_exponent GL_ARB_framebuffer_object GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_packed_depth_stencil GL_APPLE_object_purgeable GL_ARB_vertex_array_object GL_ATI_separate_stencil GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_gpu_program_parameters GL_EXT_texture_array GL_EXT_texture_integer GL_EXT_texture_sRGB_decode GL_EXT_timer_query GL_OES_EGL_image GL_AMD_performance_monitor GL_ARB_copy_buffer GL_ARB_depth_buffer_float GL_ARB_draw_instanced GL_ARB_half_float_vertex GL_ARB_instanced_arrays GL_ARB_map_buffer_range GL_ARB_texture_rg GL_ARB_texture_swizzle GL_ARB_vertex_array_bgra GL_EXT_texture_swizzle GL_EXT_vertex_array_bgra GL_NV_conditional_render GL_AMD_conservative_depth GL_AMD_draw_buffers_blend GL_AMD_seamless_cubemap_per_texture GL_ARB_ES2_compatibility GL_ARB_blend_func_extended GL_ARB_debug_output GL_ARB_draw_buffers_blend GL_ARB_draw_elements_base_vertex GL_ARB_explicit_attrib_location GL_ARB_fragment_coord_conventions GL_ARB_provoking_vertex GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_shader_texture_lod GL_ARB_texture_cube_map_array GL_ARB_texture_gather GL_ARB_texture_multisample GL_ARB_texture_query_lod GL_ARB_texture_rgb10_a2ui GL_ARB_uniform_buffer_object GL_ARB_vertex_type_2_10_10_10_rev GL_EXT_provoking_vertex GL_EXT_texture_snorm GL_MESA_texture_signed_rgba GL_NV_texture_barrier GL_ARB_get_program_binary GL_ARB_robustness GL_ARB_separate_shader_objects GL_ARB_shader_bit_encoding GL_ARB_texture_compression_bptc GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth GL_ARB_internalformat_query GL_ARB_map_buffer_alignment GL_ARB_shader_atomic_counters GL_ARB_shader_image_load_store GL_ARB_shading_language_420pack GL_ARB_shading_language_packing GL_ARB_texture_storage GL_ARB_transform_feedback_instanced GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_transform_feedback GL_AMD_shader_trinary_minmax GL_ARB_ES3_compatibility GL_ARB_arrays_of_arrays GL_ARB_clear_buffer_object GL_ARB_compute_shader GL_ARB_copy_image GL_ARB_explicit_uniform_location GL_ARB_framebuffer_no_attachments GL_ARB_invalidate_subdata GL_ARB_program_interface_query GL_ARB_shader_image_size GL_ARB_shader_storage_buffer_object GL_ARB_texture_query_levels GL_ARB_texture_storage_multisample GL_ARB_texture_view GL_ARB_vertex_attrib_binding GL_KHR_debug GL_KHR_robustness GL_ARB_buffer_storage GL_ARB_clear_texture GL_ARB_internalformat_query2 GL_ARB_multi_bind GL_ARB_seamless_cubemap_per_texture GL_ARB_shader_draw_parameters GL_ARB_texture_mirror_clamp_to_edge GL_ARB_vertex_type_10f_11f_11f_rev GL_EXT_shader_integer_mix GL_INTEL_performance_query GL_ARB_clip_control GL_ARB_conditional_render_inverted GL_ARB_cull_distance GL_ARB_derivative_control GL_ARB_get_texture_sub_image GL_ARB_pipeline_statistics_query GL_ARB_shader_texture_image_samples GL_ARB_texture_barrier GL_EXT_polygon_offset_clamp GL_KHR_context_flush_control GL_ARB_shader_clock GL_EXT_shader_samples_identical
GL_MAX_TEXTURE_SIZE: 8192
GL_MAX_TEXTURE_UNITS_ARB: 8

PIXELFORMAT: color(24-bits) Z(24-bit) stencil(0-bits)
MODE: -1, 2560 x 1440 fullscreen hz:N/A
GAMMA: hardware w/ 1 overbright bits
rendering primitives: single glDrawElements
texturemode: GL_LINEAR_MIPMAP_NEAREST
picmip: 0
texture bits: 0
multitexture: enabled
compiled vertex arrays: enabled
texenv add: enabled
compressed textures: disabled
----- finished R_Init -----
Loading vm file vm/ui.qvm...
File "vm/ui.qvm" found in "/usr/lib/openarena/baseoa/pak6-patch088.pk3"
...which has vmMagic VM_MAGIC_USE_NATIVE.
... trying pak6-patch088/ui
Loading DLL file /usr/lib/openarena/baseoa/pak6-patch088/uix86_64.so instead.
Loading DLL file: /usr/lib/openarena/baseoa/pak6-patch088/uix86_64.so
Sys_LoadGameDll(/usr/lib/openarena/baseoa/pak6-patch088/uix86_64.so) found vmMain function at 0x7f695169dda0
71 arenas parsed
33 bots parsed
Loading vm file vm/cgame.qvm...
File "vm/cgame.qvm" found in "/usr/lib/openarena/baseoa/pak6-patch088.pk3"
...which has vmMagic VM_MAGIC_USE_NATIVE.
... trying pak6-patch088/cgame
Loading DLL file /usr/lib/openarena/baseoa/pak6-patch088/cgamex86_64.so instead.
Loading DLL file: /usr/lib/openarena/baseoa/pak6-patch088/cgamex86_64.so
Sys_LoadGameDll(/usr/lib/openarena/baseoa/pak6-patch088/cgamex86_64.so) found vmMain function at 0x7f6950c86bd2
----- Client Shutdown (Received signal 11) -----
----- FS_Startup -----
We are looking in the current search path:
/home/doug/.openarena/baseoa
/usr/lib/openarena/baseoa
/usr/lib/openarena/baseoa/z_oacmp-volume1-v3.pk3 (370 files)
/usr/lib/openarena/baseoa/pak6-patch088.pk3 (711 files)
/usr/lib/openarena/baseoa/pak6-patch085.pk3 (559 files)
/usr/lib/openarena/baseoa/pak6-misc.pk3 (229 files)
/usr/lib/openarena/baseoa/pak5-TA.pk3 (139 files)
/usr/lib/openarena/baseoa/pak4-textures.pk3 (1753 files)
/usr/lib/openarena/baseoa/pak2-players.pk3 (669 files)
/usr/lib/openarena/baseoa/pak2-players-mature.pk3 (231 files)
/usr/lib/openarena/baseoa/pak1-maps.pk3 (100 files)
/usr/lib/openarena/baseoa/pak0.pk3 (1042 files)

----------------------
5803 files in pk3 files
forcefully unloading cgame vm
RE_Shutdown( 1 )
tty][1] 5891 segmentation fault (core dumped) openarena

This issue started after upgrading from 16.04 to 16.10. It's happening on two machines consistently.

Jonathan Creekmore (jcreekmore) wrote :

I am seeing this crash as well after upgrading from 16.04 to 16.10.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ioquake3 (Ubuntu):
status: New → Confirmed
Changed in openarena (Ubuntu):
status: New → Confirmed
Dennis Sheil (dennis-sheil) wrote :

I get a segmentation fault as well. I have OPENARENA_BACKTRACE set to 1 in my shell environment. What I get is:

Thread 1 "ioquake3" received signal SIGSEGV, Segmentation fault.
BotFreeInfoEntities () at code/botlib/be_ai_goal.c:458
458 code/botlib/be_ai_goal.c: No such file or directory.
[...]
Thread 1 (Thread 0x7f6f847bbe00 (LWP 29369)):
#0 BotFreeInfoEntities () at code/botlib/be_ai_goal.c:458
        ml = 0x32
        nextml = <optimized out>
        cs = <optimized out>
        nextcs = <optimized out>
#1 BotInitInfoEntities () at code/botlib/be_ai_goal.c:482
        classname = "\b\000\000\000\000\000\000\000\214\301\265\202o\177\000\000\310\033٪\201U\000\000\220 ٪\201U\000\000@\033٪\201U\000\000\220Iߪ\201U", '\000' <repeats 11 times>, "D\351\202o\177\000\000`g\333eo\177\000\000\000q\352eo\177\000\000\b\000\000\000\000\000\000\000\214\301\265\202o\177\000\000\b", '\000' <repeats 30 times>
        ml = <optimized out>
        cs = <optimized out>
        ent = <optimized out>
        numlocations = <optimized out>
        numcampspots = <optimized out>
#2 0x00005581a829c3e9 in BotInitLevelItems () at code/botlib/be_ai_goal.c:548
[...]

----------------------
5803 files in pk3 files
Loading vm file vm/qagame.qvm...
File "vm/qagame.qvm" found in "/usr/lib/openarena/baseoa/pak6-patch088.pk3"
...which has vmMagic VM_MAGIC_USE_NATIVE.
... trying pak6-patch088/qagame
Loading DLL file /usr/lib/openarena/baseoa/pak6-patch088/qagamex86_64.so instead.
Loading DLL file: /usr/lib/openarena/baseoa/pak6-patch088/qagamex86_64.so
Sys_LoadGameDll(/usr/lib/openarena/baseoa/pak6-patch088/qagamex86_64.so) found vmMain function at 0x7f7db5ce7314
------- Game Initialization -------
gamename: baseoa
gamedate: Jun 27 2016
Not logging to disk.
Gametype changed, clearing session data.
^3!readconfig: ^7could not open admin config file admin.dat
Sprees/Kills: loaded 1 killing sprees, 0 death sprees, and 0 multikills.
0 teams with 0 entities
16 items registered
-----------------------------------
------- BotLib Initialization -------
loaded weapons.c
loaded items.c
loaded syn.c
loaded rnd.c
loaded match.c
loaded rchat.c
------------ Map Loading ------------
trying to load maps/oa_rpg3dm2.aas
loaded maps/oa_rpg3dm2.aas
----- Client Shutdown (Received signal 11) -----
RE_Shutdown( 1 )
OpenAL capture device closed.
-----------------------
----- Server Shutdown (Received signal 11) -----
tty]Segmentation fault

Download full text (12.0 KiB)

ioq3 1.36+u20160616+dfsg1-1/Ubuntu linux-x86_64 Jun 27 2016
Have SSE support
----- FS_Startup -----
We are looking in the current search path:
/home/boom/.openarena/baseoa
/usr/lib/openarena/baseoa
/usr/lib/openarena/baseoa/z_oacmp-volume1-v3.pk3 (370 files)
/usr/lib/openarena/baseoa/pak6-patch088.pk3 (711 files)
/usr/lib/openarena/baseoa/pak6-patch085.pk3 (559 files)
/usr/lib/openarena/baseoa/pak6-misc.pk3 (229 files)
/usr/lib/openarena/baseoa/pak5-TA.pk3 (139 files)
/usr/lib/openarena/baseoa/pak4-textures.pk3 (1753 files)
/usr/lib/openarena/baseoa/pak2-players.pk3 (669 files)
/usr/lib/openarena/baseoa/pak2-players-mature.pk3 (231 files)
/usr/lib/openarena/baseoa/pak1-maps.pk3 (100 files)
/usr/lib/openarena/baseoa/pak0.pk3 (1042 files)

----------------------
5803 files in pk3 files
execing default.cfg
execing q3config.cfg
couldn't exec autoexec.cfg
Hunk_Clear: reset the hunk ok
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
----- Client Initialization -----
Couldn't read q3history.
----- Initializing Renderer ----
Trying to load "renderer_opengl1_x86_64.so" from "/usr/lib/ioquake3"...
-------------------------------
QKEY found.
----- Client Initialization Complete -----
----- R_Init -----
SDL using driver "x11"
Initializing OpenGL display
Display aspect: 1.600
...setting mode 3: 640 480
Using 24 color bits, 24 depth, 0 stencil display.
Available modes: '1280x800 1440x900 1680x1050 1280x720 720x400 640x480 800x600 832x624 1024x768 1152x864 1280x960 1280x1024'
GL_RENDERER: Gallium 0.4 on AMD RV770 (DRM 2.46.0 / 4.8.0-34-generic, LLVM 3.8.1)
* IGNORING OPENGL EXTENSIONS *
Initializing Shaders

GL_VENDOR: X.Org
GL_RENDERER: Gallium 0.4 on AMD RV770 (DRM 2.46.0 / 4.8.0-34-generic, LLVM 3.8.1)
GL_VERSION: 3.0 Mesa 12.0.3
GL_EXTENSIONS: GL_ARB_multisample GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_copy_texture GL_EXT_polygon_offset GL_EXT_subtexture GL_EXT_texture_object GL_EXT_vertex_array GL_EXT_compiled_vertex_array GL_EXT_texture GL_EXT_texture3D GL_IBM_rasterpos_clip GL_ARB_point_parameters GL_EXT_draw_range_elements GL_EXT_packed_pixels GL_EXT_point_parameters GL_EXT_rescale_normal GL_EXT_separate_specular_color GL_EXT_texture_edge_clamp GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_ARB_framebuffer_sRGB GL_ARB_multitexture GL_EXT_framebuffer_sRGB GL_IBM_multimode_draw_arrays GL_IBM_texture_mirrored_repeat GL_ARB_texture_cube_map GL_ARB_texture_env_add GL_ARB_transpose_matrix GL_EXT_blend_func_separate GL_EXT_fog_coord GL_EXT_multi_draw_arrays GL_EXT_secondary_color GL_EXT_texture_env_add GL_EXT_texture_filter_anisotropic GL_EXT_texture_lod_bias GL_INGR_blend_func_separate GL_NV_blend_square GL_NV_light_max_exponent GL_NV_texgen_reflection GL_NV_texture_env_combine4 GL_SUN_multi_draw_arrays GL_ARB_texture_border_clamp GL_ARB_texture_compression GL_EXT_framebuffer_object GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_MESA_window_pos GL_NV_packed_depth_stencil GL_NV_texture_rectangle GL_ARB_depth_texture GL_ARB_occlusion_query GL_ARB_shadow GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_...

Roland Boros (roland91) wrote :
Download full text (12.5 KiB)

Same thing here, now using 16.10 and getting the error 11 segmentation fault! Here's the terminal:

openarena
ioq3 1.36+u20160616+dfsg1-1/Ubuntu linux-x86_64 Jun 27 2016
Have SSE support
----- FS_Startup -----
We are looking in the current search path:
/home/roland/.openarena/baseoa
/usr/lib/openarena/baseoa
/usr/lib/openarena/baseoa/z_oacmp-volume1-v3.pk3 (370 files)
/usr/lib/openarena/baseoa/pak6-patch088.pk3 (711 files)
/usr/lib/openarena/baseoa/pak6-patch085.pk3 (559 files)
/usr/lib/openarena/baseoa/pak6-misc.pk3 (229 files)
/usr/lib/openarena/baseoa/pak5-TA.pk3 (139 files)
/usr/lib/openarena/baseoa/pak4-textures.pk3 (1753 files)
/usr/lib/openarena/baseoa/pak2-players.pk3 (669 files)
/usr/lib/openarena/baseoa/pak2-players-mature.pk3 (231 files)
/usr/lib/openarena/baseoa/pak1-maps.pk3 (100 files)
/usr/lib/openarena/baseoa/pak0.pk3 (1042 files)

----------------------
5803 files in pk3 files
execing default.cfg
execing q3config.cfg
couldn't exec autoexec.cfg
Hunk_Clear: reset the hunk ok
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
----- Client Initialization -----
Couldn't read q3history.
----- Initializing Renderer ----
Trying to load "renderer_opengl1_x86_64.so" from "/usr/lib/ioquake3"...
-------------------------------
QKEY found.
----- Client Initialization Complete -----
----- R_Init -----
SDL using driver "x11"
Initializing OpenGL display
Display aspect: 1.250
...setting mode 8: 1280 1024
Using 24 color bits, 24 depth, 0 stencil display.
Available modes: '1280x1024 640x480 800x600 1024x768 1152x864 1280x960 1280x720'
GL_RENDERER: GeForce 9600 GT/PCIe/SSE2
Initializing OpenGL extensions
...ignoring GL_EXT_texture_compression_s3tc
...ignoring GL_S3_s3tc
...using GL_EXT_texture_env_add
...using GL_ARB_multitexture
...using GL_EXT_compiled_vertex_array
...ignoring GL_EXT_texture_filter_anisotropic
Initializing Shaders

GL_VENDOR: NVIDIA Corporation
GL_RENDERER: GeForce 9600 GT/PCIe/SSE2
GL_VERSION: 3.3.0 NVIDIA 340.101
GL_EXTENSIONS: GL_ARB_arrays_of_arrays GL_ARB_base_instance GL_ARB_blend_func_extended GL_ARB_clear_buffer_object GL_ARB_color_buffer_float GL_ARB_compatibility GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth GL_ARB_copy_buffer GL_ARB_copy_image GL_ARB_debug_output GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_depth_texture GL_ARB_draw_buffers GL_ARB_draw_elements_base_vertex GL_ARB_draw_instanced GL_ARB_enhanced_layouts GL_ARB_ES2_compatibility GL_ARB_ES3_compatibility GL_ARB_explicit_attrib_location GL_ARB_explicit_uniform_location GL_ARB_fragment_coord_conventions GL_ARB_fragment_layer_viewport GL_ARB_fragment_program GL_ARB_fragment_program_shadow GL_ARB_fragment_shader GL_ARB_framebuffer_no_attachments GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB GL_ARB_geometry_shader4 GL_ARB_get_program_binary GL_ARB_half_float_pixel GL_ARB_half_float_vertex GL_ARB_imaging GL_ARB_instanced_arrays GL_ARB_internalformat_query GL_ARB_internalformat_query2 GL_ARB_invalidate_subdata GL_ARB_map_buffer_alignment GL_ARB_map_buffer_range GL_ARB_multi_bind GL_ARB_multisample GL_ARB_multitexture GL_ARB_occlusion_query GL_ARB_occlusion_query2 GL_ARB_pixel_buffer_object GL_ARB_point...

Stephen Crowley (crowlogic) wrote :

Also getting a crash, latest snapshot is busted.

[Current thread is 1 (Thread 0x7f44fe47cec0 (LWP 19529))]
(gdb) bt
#0 0x000055b24248d19e in VM_Call (vm=0x1441a00000, callnum=callnum@entry=1) at code/qcommon/vm.c:866
#1 0x000055b2424796ce in SV_ShutdownGameProgs () at code/server/sv_game.c:857
#2 0x000055b24243cc13 in Hunk_Clear () at code/qcommon/common.c:1662
#3 0x000055b24241dfbd in CL_ClearMemory (shutdownRef=qtrue) at code/client/cl_main.c:1249
#4 0x000055b242421b2d in CL_Shutdown (finalmsg=<optimized out>, disconnect=qtrue, quit=qtrue) at code/client/cl_main.c:3731
#5 0x000055b2424dd1ee in Sys_SigHandler (signal=11) at code/sys/sys_main.c:640
#6 <signal handler called>
#7 0x000055b242406099 in CL_SetCGameTime () at code/client/cl_cgame.c:1001
#8 0x000055b24241f79c in CL_Frame (msec=msec@entry=11) at code/client/cl_main.c:3038
#9 0x000055b24243ecc7 in Com_Frame () at code/qcommon/common.c:3211
#10 0x000055b2424040da in main (argc=<optimized out>, argv=<optimized out>) at code/sys/sys_main.c:734

cl_cgame.c corresponds to

  cl.serverTime = cls.realtime + cl.serverTimeDelta - tn;

I don't see how access to these static structures, "cl" and "cls" could result in a segfault

jib'z (jibz) wrote :

same crash on 17.04

dino99 (9d9) wrote :

This is an unsupported release now. Please think to install the next LTS 'Bionic 18.04'

http://cdimage.ubuntu.com/ubuntu-next/daily-live/current/
https://www.omgubuntu.co.uk/2018/02/ubuntu-18-04-minimal-install-option

Changed in openarena (Ubuntu):
status: Confirmed → Invalid
Changed in ioquake3 (Ubuntu):
status: Confirmed → Invalid
Doug Goldstein (cardoe) wrote :

This issue is still present on 16.10, 17.04, 17.10 and I'd be willing to bet it will happen with 18.04. So hardly invalid.

Doug Goldstein (cardoe) wrote :

This was marked as invalid being told to upgrade but the issue is present in the latest Ubuntu release so there's nothing to upgrade to.

Changed in ioquake3 (Ubuntu):
status: Invalid → Confirmed
Changed in openarena (Ubuntu):
status: Invalid → Confirmed
Compatico (compatico) wrote :

Just upgraded to final v18.04 LTS on the weekend and this bug is still present. I did a clean install of 18.04 on a new partition and it crashes when attempting to set up a game with what appears to be the same segmentation fault.

Nikita (nikimann) wrote :

Download OpenArena from the official site http://openarena.ws/download.php
After unpacking run through the console. Works fine :)

I can confirm that the official package works. Packaging bug?

Tony Bronze (ttiger) wrote :

It works fine in Ubuntu 16.04 so after a bit of testing, if you copy the ioquake3 file from usr/lib/ioquake3/ in 16.04 and paste to usr/lib/ioquake3/ in 18.04, make sure it is executable, then it worked for me

Vitaly (vita-cell) wrote :

I still have that bug, can not to play OpenArena from Ubuntu18.04.

Compatico (compatico) wrote :

Post #17 is a good solution for me - for some reason the file size is different when installing in newer versions, weird. So to test, I used a thumbdrive to run a live 16.04 session, installed Openarena in the live session, and then copied the IOQUAKE3 file to my harddrive. Fired up 18.04 and it works fine.

Download full text (11.4 KiB)

I verified - had broken OpenArena on KUbuntu 18.04 LTS, replaced the
ioquake3 file with the version from ioquake3_1.36+u20160122+dfsg1-1_amd64
and it worked. Now I have a playable OpenArena. Many thanks to poster #17.

mið., 10. okt. 2018 kl. 13:11 skrifaði Compatico <<email address hidden>
>:

> Post #17 is a good solution for me - for some reason the file size is
> different when installing in newer versions, weird. So to test, I used a
> thumbdrive to run a live 16.04 session, installed Openarena in the live
> session, and then copied the IOQUAKE3 file to my harddrive. Fired up
> 18.04 and it works fine.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1732247).
> https://bugs.launchpad.net/bugs/1651561
>
> Title:
> openarena crashes upon starting or joining a game
>
> Status in ioquake3 package in Ubuntu:
> Confirmed
> Status in openarena package in Ubuntu:
> Confirmed
>
> Bug description:
> Loading vm file vm/ui.qvm...
> File "vm/ui.qvm" found in "/usr/lib/openarena/baseoa/pak6-patch088.pk3"
> ...which has vmMagic VM_MAGIC_USE_NATIVE.
> ... trying pak6-patch088/ui
> Loading DLL file /usr/lib/openarena/baseoa/pak6-patch088/uix86_64.so
> instead.
> Loading DLL file: /usr/lib/openarena/baseoa/pak6-patch088/uix86_64.so
> Sys_LoadGameDll(/usr/lib/openarena/baseoa/pak6-patch088/uix86_64.so)
> found vmMain function at 0x7f695169dda0
> 71 arenas parsed
> 33 bots parsed
> --- Common Initialization Complete ---
> IP: 127.0.0.1
> IP: 10.20.20.210
> IP: 172.17.0.1
> IP6: ::1
> IP6: fe80::221:ccff:fec9:da8f%xenbr0
> IP6: fe80::42:97ff:feea:14bc%docker0
> Opening IP6 socket: [::]:27960
> Opening IP socket: 0.0.0.0:27960
> Scanning for servers on the local network...
> 10.20.20.200:27960 resolved to 10.20.20.200:27960
> ----- FS_Startup -----
> We are looking in the current search path:
> /usr/lib/openarena/baseoa/z_oacmp-volume1-v3.pk3 (370 files)
> on the pure list
> /usr/lib/openarena/baseoa/pak6-patch088.pk3 (711 files)
> on the pure list
> /usr/lib/openarena/baseoa/pak6-patch085.pk3 (559 files)
> on the pure list
> /usr/lib/openarena/baseoa/pak6-misc.pk3 (229 files)
> on the pure list
> /usr/lib/openarena/baseoa/pak5-TA.pk3 (139 files)
> on the pure list
> /usr/lib/openarena/baseoa/pak4-textures.pk3 (1753 files)
> on the pure list
> /usr/lib/openarena/baseoa/pak2-players.pk3 (669 files)
> on the pure list
> /usr/lib/openarena/baseoa/pak2-players-mature.pk3 (231 files)
> on the pure list
> /usr/lib/openarena/baseoa/pak1-maps.pk3 (100 files)
> on the pure list
> /usr/lib/openarena/baseoa/pak0.pk3 (1042 files)
> on the pure list
> /home/doug/.openarena/baseoa
> /usr/lib/openarena/baseoa
>
> ----------------------
> 5803 files in pk3 files
> RE_Shutdown( 0 )
> Hunk_Clear: reset the hunk ok
> ----- R_Init -----
> Initializing Shaders
>
> GL_VENDOR: Intel Open Source Technology Center
> GL_RENDERER: Mesa DRI Intel(R) Ivybridge Mobile
> GL_VERSION: 3.0 Mesa 12.0.3
> GL_EXTENSIONS: GL_ARB_multisample GL_EXT_abgr GL_EXT_bgra
> GL_EXT_blend_color GL_EX...

I still can't figure out how to replace that file, and from where you have to get it.

Þór Sigurðsson (the.thor) wrote :

Solution for those that need hand-holding:

1) Download the 16.04 LTS version of ioquake3 from one of the links listed here:

https://packages.ubuntu.com/xenial/amd64/ioquake3/download

2) Extract the game data

cd /tmp
mv ~/Downloads/ioquake3_1.36+u20160122+dfsg1-1_amd64.deb ioquake.deb
ar x ioquake.deb data.tar.xz

3) Extract the data file

tar Jxf data.tar.xz ./usr/lib/ioquake3/ioquake3

4) Put the data file in place

sudo mv ./usr/lib/ioquake3/ioquake3 /usr/lib/ioquake3/ioquake3

5) Clean up

rm -fr ./usr ioquake.deb

6) Profit.

Stefan Leitner (s-o-l) wrote :

OpenArena still crashes on start of a map on Ubuntu 18.10:
------------ Map Loading ------------
trying to load maps/oa_rpg3dm2.aas
loaded maps/oa_rpg3dm2.aas
----- Client Shutdown (Received signal 11) -----
RE_Shutdown( 1 )
OpenAL capture device closed.
-----------------------
----- Server Shutdown (Received signal 11) -----
tty]Speicherzugriffsfehler (Speicherabzug geschrieben)

KDE ubuntu 18.04 64 bits , ( fully updated )
the openarena is NOT working in here too.
launching from terminal, this happens :

----------------------
13726 files in pk3 files
Loading vm file vm/qagame.qvm...
File "vm/qagame.qvm" found in "/usr/lib/openarena/baseoa/pak6-patch088.pk3"
...which has vmMagic VM_MAGIC_USE_NATIVE.
... trying pak6-patch088/qagame
Loading DLL file /usr/lib/openarena/baseoa/pak6-patch088/qagamex86_64.so instead.
Loading DLL file: /usr/lib/openarena/baseoa/pak6-patch088/qagamex86_64.so
Sys_LoadGameDll(/usr/lib/openarena/baseoa/pak6-patch088/qagamex86_64.so) found vmMain function at 0x7f76ee486b82
------- Game Initialization -------
gamename: baseoa
gamedate: Jan 19 2018
Not logging to disk.
Gametype changed, clearing session data.
^3!readconfig: ^7could not open admin config file admin.dat
Sprees/Kills: loaded 1 killing sprees, 0 death sprees, and 0 multikills.
0 teams with 0 entities
16 items registered
-----------------------------------
------- BotLib Initialization -------
loaded weapons.c
loaded items.c
loaded syn.c
loaded rnd.c
loaded match.c
loaded rchat.c
------------ Map Loading ------------
trying to load maps/oa_rpg3dm2.aas
loaded maps/oa_rpg3dm2.aas
----- Client Shutdown (Received signal 11) -----
RE_Shutdown( 1 )
OpenAL capture device closed.
-----------------------
----- Server Shutdown (Received signal 11) -----

Toni Spets (hifi) wrote :

For what it's worth, the problem is that the game .so files are compiled without `-fvisibility=hidden` causing all symbols in the shared objects to be global which then causes some sort of symbol conflict on load and wrong functions being called. The fix would be adding it to compiler flags.

I don't know where in the packaging and building process it has been lost or if the default behavior of the compiler/linker has changed.

It may very well be that it's an Ubuntu downstream bug and it does not affect Debian.

This issue *does not* affect ioquake3/baseq3 on Ubuntu 18.04 and is specific to OpenArena.

Changed in openarena:
status: Unknown → Incomplete
Compatico (compatico) wrote :

Using Kubuntu 19.10 and the issue persists. Copying an older version from a 16.04 build continues to work though. I now keep a backup of the Ioquake3 file to copy over.

Stephen Crowley (crowlogic) wrote :

THis bug has been here for YEARs, how the hell has it not been fixed yet?

Compatico (compatico) wrote :

I don't think OpenArena is in active development, so there's no one to modify the compiler settings. This is not an issue with Ubuntu based OS's.

Scott Moore (scottbomb) wrote :

What a shame. This was fun, was looking forward to playing again.

PHD (phd.re) wrote :

@Scott Moore
You can simply download OpenArena from http://www.openarena.ws/,
extract it and run it from there. It works perfectly fine.

@Compatico
Considering the above I do not understand why Ubuntu cannot fix this package.
Patching, if required, can be done in the deb package itself.
And providing a broken package for such a long time now is just wrong.
It would be better to remove it entirely from the repository.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.